# SettingsPage.MainContent

**Category:** Base Components/Pages/Settings Page

## API

### Overview

A slot component for the main content area of a [`SettingsPage`](./?path=/story/base-components-pages-settings-page--settingspage). Place it inside ``. This is where you render the primary form fields and cards.

```tsx
import { SettingsPage } from '@wix/patterns/page';
```

### Usage

This component acts as a container for [SettingsPage.Card](./?path=/story/base-components-pages-settings-page--settingspage-card) child components and is displayed on the left side of the Page layout. For examples of how this component is used, please refer to the [SettingsPage](./?path=/story/base-components-pages-settings-page--settingspage&tab=Examples) examples.

### Props

| Prop | Type | Required | Default | Description |
|------|------|----------|---------|-------------|
| `dataHook` | `string` | No | - | Applies a data-hook HTML attribute that can be used in tests |

